image: golang

stages:
  - build
  - test

build:
  stage: build
  script:
    - mkdir -p dist
    - for armv in 5 6 7; do
    -   env GOOS=linux GOARCH=arm GOARM=$armv go build -o dist/twitter-follower-counter-armv$armv
    - done
  artifacts:
    paths:
      - dist

test:
  stage: test
  script:
    - go get .
    - go vet .
